Subject: RE: Can't seem to get bash to work in NTEmacs
From: "Robinow, David" <[email-masked]>
To: "'David Starks-Browning'" <[email-masked]>, Jeff Rancier <[email-masked]>
Cc: [email-masked]
Date: Mon, 15 Oct 2001 12:00:01 -0400

> From: David Starks-Browning [mailto:[email-masked]]
> Subject: Can't seem to get bash to work in NTEmacs
> 
> Where did you get the advice for this:
> 
> 	(setenv "PID" nil)
> 
> and what is it supposed to achieve?  I've never seen it before.  I'd
> like to know, as I maintain the FAQ entry "How do I run bash as a
> shell under NT Emacs?"
 Well, there's more than one FAQ.  The NT Emacs FAQ has a
lot of useless information about obsolete cygwin versions.
http://www.gnu.org/software/emacs/windows/faq7.html

:WARNING:The latest version of bash sets and uses the environment variable
PID.
:For some as yet unknown reason, if PID is set and Emacs passes it on to
bash
:subshells, bash croaks (Emacs can inherit the PID variable if it's started
from
:a bash shell). If you clear the PID variable in your startup file, you
should
:be able to continue to use bash as your subshell:

:(setenv "PID" nil)

 See http://www.cygwin.com/ml/cygwin/1997-12/msg00430.html
for the discussion that motivated this entry. Note the date.
 I believe this setting is unneeded but harmless.
> 
> Except for that line, these are the same settings I have in my .emacs,
> and I have no difficulty with 'M-x shell'.  Mine is emacs-20.7.1, on
> WinNT 4.0.
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/